<!-- ngIf avec la méthode logged-->
<!--<form (ngSubmit)="login()" *ngIf="!logged()"> -->
<!-- ngIf avec le BehaviorSubject-->
<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Login</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form (ngSubmit)="login()">

      <div class="form-group">
        <label for="username">Username</label>
        <input type="text" class="form-control" [(ngModel)]="username" name="username">
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="password" class="form-control" [(ngModel)]="password" name="password">
      </div>
      <button class="btn btn-primary">Login</button>
      <p *ngIf="feedback">{{feedback}}</p>
    </form>
  </div>
</ng-template>

<button *ngIf="!(isLogged | async)" class="btn" (click)="open(content)">Login</button>

<section *ngIf="isLogged | async">
  <!--<p>Welcome {{(isLogged | async).username}}</p>-->
  <button class="btn" (click)="logout()">Logout</button>
  <a class="btn btn-warning ml-2" routerLink="/admin/message">Adminstration</a>
</section>